Bug 248337 - devel/xxhash: Update to 0.8.0 and add "make test" target
Summary: devel/xxhash: Update to 0.8.0 and add "make test" target
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://github.com/Cyan4973/xxHash/re...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-28 23:15 UTC by daniel.engberg.lists
Modified: 2020-08-15 17:34 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Patch for xxhash (1.14 KB, patch)
2020-07-28 23:15 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-07-28 23:15:26 UTC
Created attachment 216845 [details]
Patch for xxhash

* Update xxhash to 0.8.0
* Add "make test" functionality
* Do some minor rearrangement of Makefile

Tested on FreeBSD 13.0-CURRENT r361421 (amd64), make test
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 Automation User 2020-08-12 00:11:08 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/176849167
Comment 2 commit-hook freebsd_committer 2020-08-15 17:13:28 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Aug 15 17:11:59 UTC 2020
New revision: 545048
URL: https://svnweb.freebsd.org/changeset/ports/545048

Log:
  Update to 0.8.0

  - Convert to test framework

  Changes:	https://github.com/Cyan4973/xxHash/releases
  PR:		248337
  Submitted by:	Daniel Engberg <daniel.engberg.lists@pyret.net>

Changes:
  head/devel/xxhash/Makefile
  head/devel/xxhash/distinfo
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-08-15 17:34:16 UTC
Committed. Thanks!